メインコンテンツへスキップ
POST
/
communication-preferences
/
2026-03
/
statuses
/
{subscriberIdString}
コンタクトの配信登録ステータスを更新
curl --request POST \
  --url https://api.hubapi.com/communication-preferences/2026-03/statuses/{subscriberIdString} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subscriptionId": 123,
  "legalBasisExplanation": "<string>"
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "source": "<string>",
      "subscriberIdString": "<string>",
      "subscriptionId": 123,
      "timestamp": "2023-11-07T05:31:56Z",
      "businessUnitId": 123,
      "legalBasisExplanation": "<string>",
      "subscriptionName": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

subscriberIdString
string
必須

コミュニケーション設定のステータスを更新している登録読者の固有ID。

ボディ

application/json
channel
enum<string>
必須

コミュニケーションチャネルのタイプ(現在はEMAILだけがサポートされるオプション)。

利用可能なオプション:
EMAIL
statusState
enum<string>
必須

次を取り得る、コンタクトの現在の配信登録ステータス:SUBSCRIBED、UNSUBSCRIBED'、またはNOT_SPECIFIED。

利用可能なオプション:
NOT_SPECIFIED,
SUBSCRIBED,
UNSUBSCRIBED
subscriptionId
integer<int64>
必須

更新する配信登録の固有ID。

コミュニケーションの法的根拠(オプションは、 LEGITIMATE_INTEREST_PQL、LEGITIMATE_INTEREST_CLIENT、PERFORMANCE_OF_CONTRACT、CONSENT_WITH_NOTICE、NON_GDPR、PROCESS_AND_STORE、LEGITIMATE_INTEREST_OTHER)。

利用可能なオプション:
CONSENT_WITH_NOTICE,
LEGITIMATE_INTEREST_CLIENT,
LEGITIMATE_INTEREST_OTHER,
LEGITIMATE_INTEREST_PQL,
NON_GDPR,
PERFORMANCE_OF_CONTRACT,
PROCESS_AND_STORE

コミュニケーションの法的根拠に関する説明。

レスポンス

successful operation

completedAt
string<date-time>
必須

処理が完了した日時。

results
object[]
必須

処理から得られる結果の配列。

startedAt
string<date-time>
必須

処理が開始された日時。

status
enum<string>
必須

次の値を取り得る、処理の現在のステータス:PENDING、PROCESSING、CANCELED、COMPLETE.

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

処理中に発生したエラーのリスト。

ドキュメントやリソースなど、レスポンスに関連するURLが含まれます。

numErrors
integer<int32>

処理中に発生したエラーの数。

requestedAt
string<date-time>

リクエストが行われた日時。

Last modified on May 11, 2026